<html devsite><head>

  <meta name="book_path" value="/_book.yaml"/>

  <meta name="project_path" value="/_project.yaml"/>
</head>
<body>

<!--
  Copyright 2018 The Android Open Source Project

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
-->

<h1 id="design_an_android_device" class="page-title">设计 Android 设备</h1>

<p>作为开放源代码系统，Android 可提供几乎无限可能的硬件和软件组合，供您开发连该操作系统的创作者都意想不到的设备。</p>

<p>尽管如此，但为了让用户在使用其他 Android 设备时能够获得一致的体验，请在设计和自定义您的实现时考虑以下既定标准。</p>

<ol>
<li><p>查看<a href="/devices/architecture/">架构</a>中的 Android 平台开发基本原则，尤其是 Android 8.0 中引入的 <a href="/devices/architecture/hidl/">HIDL</a> 格式。</p></li>
<li><p>确保设备符合 <a href="/compatibility/cdd">Android 兼容性定义文档</a>（Android 的核心规范）的要求，即设备属于<a href="/compatibility/overview">兼容的</a>设备。</p></li>
<li><p>参阅<a href="/devices/tech/display/">显示</a>功能和<a href="/devices/tech/settings/settings-guidelines">设置</a>指南，获取界面方面的帮助。</p></li>
<li><p>利用所有可用的<a href="/compatibility/tests">测试</a>调试和改进您的 Android 设备。</p></li>
<li><p>在开发面向用户的应用时，请先熟悉一下<a href="https://developer.android.com/design/" class="external">应用设计</a>原则和 <a href="https://material.io/design/" class="external">Material Design</a> 技术。</p></li>
</ol>

</body></html>